Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.objectweb.jonas.ejb
Class JonasSubTask.JonasVersionTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.objectweb.jonas.ejb.JonasSubTask.JonasVersionTypes

Enclosing class:
  JonasSubTask

public static class JonasSubTask.JonasVersionTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

JonasVersionTypes class.

Author:
  Mathieu Peltier.
created
  June, 24 2002

Field Summary
`static String` | `DEFAULT_VERSION`
`static String` | `VERSION_2_3`
`static String` | `VERSION_2_4`
`static String` | `VERSION_2_5`
`static String` | `VERSION_2_6`
`static String` | `VERSION_3_0`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`JonasSubTask.JonasVersionTypes()`

Method Summary
`String[]` | `getValues()` Gets the possible values.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_2_3

    public static final String VERSION_2_3

See Also:
  Constant Field Values

### VERSION_2_4

    public static final String VERSION_2_4

See Also:
  Constant Field Values

### VERSION_2_5

    public static final String VERSION_2_5

See Also:
  Constant Field Values

### VERSION_2_6

    public static final String VERSION_2_6

See Also:
  Constant Field Values

### VERSION_3_0

    public static final String VERSION_3_0

See Also:
  Constant Field Values

### DEFAULT_VERSION

    public static final String DEFAULT_VERSION

See Also:
  Constant Field Values

Constructor Detail

### JonasSubTask.JonasVersionTypes

    public JonasSubTask.JonasVersionTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the possible values.

  Returns:
    The possible values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD